<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2020 Workiva-->
<!--r:09398187-17b8-4a0d-812e-b8d3bdab326e,g:a694a009-40ad-41c2-b50c-afce86a505b9-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.haemonetics.com/role/DOCUMENTANDENTITYINFORMATION" xlink:type="simple" xlink:href="hae-20200926.xsd#DOCUMENTANDENTITYINFORMATION"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/DOCUMENTANDENTITYINFORMATION" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFINCOMEANDCOMPREHENSIVEINCOME" xlink:type="simple" xlink:href="hae-20200926.xsd#CONDENSEDCONSOLIDATEDSTATEMENTSOFINCOMEANDCOMPREHENSIVEINCOME"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFINCOMEANDCOMPREHENSIVEINCOME" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingExpenses_9963e089-dc59-49c1-936f-63171f1c15d1" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OperatingExpenses"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ResearchAndDevelopmentExpense_a4e7d909-ac79-449a-acab-68a68d77dc81" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_ResearchAndDevelopmentExpense"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_9963e089-dc59-49c1-936f-63171f1c15d1" xlink:to="loc_us-gaap_ResearchAndDevelopmentExpense_a4e7d909-ac79-449a-acab-68a68d77dc81" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_SellingGeneralAndAdministrativeExpense_d5b50a52-a2b9-47d6-bd5b-9c5a545c93dc" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_SellingGeneralAndAdministrativeExpense"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_9963e089-dc59-49c1-936f-63171f1c15d1" xlink:to="loc_us-gaap_SellingGeneralAndAdministrativeExpense_d5b50a52-a2b9-47d6-bd5b-9c5a545c93dc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAssetImpairmentCharges_05f67251-897f-488d-be4d-642babc7366d" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OtherAssetImpairmentCharges"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_9963e089-dc59-49c1-936f-63171f1c15d1" xlink:to="loc_us-gaap_OtherAssetImpairmentCharges_05f67251-897f-488d-be4d-642babc7366d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_hae_GainLossOnDivestitureAndSaleOfAssets_c27a3a2b-1976-4095-92d8-15cb096ba965" xlink:href="hae-20200926.xsd#hae_GainLossOnDivestitureAndSaleOfAssets"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingExpenses_9963e089-dc59-49c1-936f-63171f1c15d1" xlink:to="loc_hae_GainLossOnDivestitureAndSaleOfAssets_c27a3a2b-1976-4095-92d8-15cb096ba965" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_acbdc965-4ac3-4449-bd71-b28049220558" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_NetIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments_3f203f08-9d6c-477b-86e6-93855dafc611" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_acbdc965-4ac3-4449-bd71-b28049220558" xlink:to="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments_3f203f08-9d6c-477b-86e6-93855dafc611" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeTaxExpenseBenefit_1e21f16b-8407-4a43-a749-bd81d1e8f1a7" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_IncomeTaxExpenseBenefit"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetIncomeLoss_acbdc965-4ac3-4449-bd71-b28049220558" xlink:to="loc_us-gaap_IncomeTaxExpenseBenefit_1e21f16b-8407-4a43-a749-bd81d1e8f1a7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GrossProfit_d2ae01d0-b7dd-4f7b-920b-e8b972c46184" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_GrossProfit"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax_752724ce-6421-40ed-bbfe-858fcd5bcf96" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_GrossProfit_d2ae01d0-b7dd-4f7b-920b-e8b972c46184" xlink:to="loc_us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax_752724ce-6421-40ed-bbfe-858fcd5bcf96" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CostOfGoodsAndServicesSold_39632300-b562-4990-a0e9-a420d358e35f" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_CostOfGoodsAndServicesSold"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_GrossProfit_d2ae01d0-b7dd-4f7b-920b-e8b972c46184" xlink:to="loc_us-gaap_CostOfGoodsAndServicesSold_39632300-b562-4990-a0e9-a420d358e35f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments_a776ba25-0568-4123-ac7e-4cbcf46de38a" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_8846c288-016e-4a83-8c6f-c7f9cde67c33" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments_a776ba25-0568-4123-ac7e-4cbcf46de38a" xlink:to="loc_us-gaap_OperatingIncomeLoss_8846c288-016e-4a83-8c6f-c7f9cde67c33" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherNonoperatingIncomeExpense_a38fbb18-f6f5-4278-b86c-bc7c755cc8ec" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OtherNonoperatingIncomeExpense"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesMinorityInterestAndIncomeLossFromEquityMethodInvestments_a776ba25-0568-4123-ac7e-4cbcf46de38a" xlink:to="loc_us-gaap_OtherNonoperatingIncomeExpense_a38fbb18-f6f5-4278-b86c-bc7c755cc8ec" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingIncomeLoss_5416af75-cf46-444c-b3b5-266a30dc6226" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OperatingIncomeLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_GrossProfit_242a67a3-9307-48c1-acfb-376b9a2bc208" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_GrossProfit"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_5416af75-cf46-444c-b3b5-266a30dc6226" xlink:to="loc_us-gaap_GrossProfit_242a67a3-9307-48c1-acfb-376b9a2bc208" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OperatingExpenses_d8cf0de3-a3c1-4d49-b1e3-fbfa963b52fc" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OperatingExpenses"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OperatingIncomeLoss_5416af75-cf46-444c-b3b5-266a30dc6226" xlink:to="loc_us-gaap_OperatingExpenses_d8cf0de3-a3c1-4d49-b1e3-fbfa963b52fc" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.haemonetics.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETS" xlink:type="simple" xlink:href="hae-20200926.xsd#CONDENSEDCONSOLIDATEDBALANCESHEETS"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETS" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Assets_9554f454-9ac5-458b-9f1b-d4d24da0c8bc" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsCurrent_5b2f9095-3144-4d27-82ad-6babf1294575" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_AssetsCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_9554f454-9ac5-458b-9f1b-d4d24da0c8bc" xlink:to="loc_us-gaap_AssetsCurrent_5b2f9095-3144-4d27-82ad-6babf1294575" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PropertyPlantAndEquipmentNet_df9d2c9b-3e6e-4ae9-8bd9-d4e2ac3adfa9" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_PropertyPlantAndEquipmentNet"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_9554f454-9ac5-458b-9f1b-d4d24da0c8bc" xlink:to="loc_us-gaap_PropertyPlantAndEquipmentNet_df9d2c9b-3e6e-4ae9-8bd9-d4e2ac3adfa9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherAssetsNoncurrent_2de99fe4-989b-4544-a6ba-76b992a53e5b" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OtherAssetsNoncurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_9554f454-9ac5-458b-9f1b-d4d24da0c8bc" xlink:to="loc_us-gaap_OtherAssetsNoncurrent_2de99fe4-989b-4544-a6ba-76b992a53e5b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Goodwill_e961e0cb-2f8a-4c1a-9f00-9ab574606d96" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_Goodwill"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_9554f454-9ac5-458b-9f1b-d4d24da0c8bc" xlink:to="loc_us-gaap_Goodwill_e961e0cb-2f8a-4c1a-9f00-9ab574606d96" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_FiniteLivedIntangibleAssetsNet_34e958b3-4f1b-42cc-ab71-2b45c0f97796" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_FiniteLivedIntangibleAssetsNet"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_9554f454-9ac5-458b-9f1b-d4d24da0c8bc" xlink:to="loc_us-gaap_FiniteLivedIntangibleAssetsNet_34e958b3-4f1b-42cc-ab71-2b45c0f97796" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredIncomeTaxAssetsNet_2b7d5aff-60af-4fdd-9455-0e89fa770ad4" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_DeferredIncomeTaxAssetsNet"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_Assets_9554f454-9ac5-458b-9f1b-d4d24da0c8bc" xlink:to="loc_us-gaap_DeferredIncomeTaxAssetsNet_2b7d5aff-60af-4fdd-9455-0e89fa770ad4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesCurrent_da43c360-6718-4ed2-a9e3-850da7683f18" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_LiabilitiesCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LongTermDebtCurrent_09970a6a-bee2-48ab-8f55-54866f67fa61" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_LongTermDebtCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_da43c360-6718-4ed2-a9e3-850da7683f18" xlink:to="loc_us-gaap_LongTermDebtCurrent_09970a6a-bee2-48ab-8f55-54866f67fa61" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsPayableCurrent_1090ad08-fa6b-4cb5-b2fc-26daae88581c" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_AccountsPayableCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_da43c360-6718-4ed2-a9e3-850da7683f18" xlink:to="loc_us-gaap_AccountsPayableCurrent_1090ad08-fa6b-4cb5-b2fc-26daae88581c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_EmployeeRelatedLiabilitiesCurrent_ad0b7702-621a-4d1e-a83b-f0ba1ac66745" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_EmployeeRelatedLiabilitiesCurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_da43c360-6718-4ed2-a9e3-850da7683f18" xlink:to="loc_us-gaap_EmployeeRelatedLiabilitiesCurrent_ad0b7702-621a-4d1e-a83b-f0ba1ac66745" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherLiabilitiesCurrent_ebd96c9c-fa54-495a-9e04-301cd5b1f5aa" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OtherLiabilitiesCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesCurrent_da43c360-6718-4ed2-a9e3-850da7683f18" xlink:to="loc_us-gaap_OtherLiabilitiesCurrent_ebd96c9c-fa54-495a-9e04-301cd5b1f5aa" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesAndStockholdersEquity_f6397be3-2abc-4ea9-b744-4617693c6dea" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_LiabilitiesAndStockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LiabilitiesCurrent_3df3ae38-50ae-47d8-990b-51a495a85d4b" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_LiabilitiesCurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_f6397be3-2abc-4ea9-b744-4617693c6dea" xlink:to="loc_us-gaap_LiabilitiesCurrent_3df3ae38-50ae-47d8-990b-51a495a85d4b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_LongTermDebtNoncurrent_3d4d3327-d32b-4e09-81b6-77634736ca66" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_LongTermDebtNoncurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_f6397be3-2abc-4ea9-b744-4617693c6dea" xlink:to="loc_us-gaap_LongTermDebtNoncurrent_3d4d3327-d32b-4e09-81b6-77634736ca66" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherLiabilitiesNoncurrent_b1fc3510-8f5e-4539-9ba8-c15cbd3107da" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OtherLiabilitiesNoncurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_f6397be3-2abc-4ea9-b744-4617693c6dea" xlink:to="loc_us-gaap_OtherLiabilitiesNoncurrent_b1fc3510-8f5e-4539-9ba8-c15cbd3107da" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquity_ea9c4665-1925-48cc-a3a1-10c60a7d33cc" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_StockholdersEquity"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_f6397be3-2abc-4ea9-b744-4617693c6dea" xlink:to="loc_us-gaap_StockholdersEquity_ea9c4665-1925-48cc-a3a1-10c60a7d33cc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredIncomeTaxLiabilitiesNet_dcc7b7c5-0d43-43ec-9229-de35288adc41" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_DeferredIncomeTaxLiabilitiesNet"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_LiabilitiesAndStockholdersEquity_f6397be3-2abc-4ea9-b744-4617693c6dea" xlink:to="loc_us-gaap_DeferredIncomeTaxLiabilitiesNet_dcc7b7c5-0d43-43ec-9229-de35288adc41" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetsCurrent_0dbaba35-7480-4fdc-8aff-03b833043cdf" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_AssetsCurrent"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_48f40356-873c-4824-b2c9-73332c4cfe71" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_0dbaba35-7480-4fdc-8aff-03b833043cdf" xlink:to="loc_us-gaap_CashAndCashEquivalentsAtCarryingValue_48f40356-873c-4824-b2c9-73332c4cfe71" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccountsReceivableNetCurrent_46d7db1c-12c3-4fce-b465-a636e2d3f78b" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_AccountsReceivableNetCurrent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_0dbaba35-7480-4fdc-8aff-03b833043cdf" xlink:to="loc_us-gaap_AccountsReceivableNetCurrent_46d7db1c-12c3-4fce-b465-a636e2d3f78b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryNet_a29ad46d-1dbc-48c5-8e22-818e89a20dd6" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_InventoryNet"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_0dbaba35-7480-4fdc-8aff-03b833043cdf" xlink:to="loc_us-gaap_InventoryNet_a29ad46d-1dbc-48c5-8e22-818e89a20dd6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_4dde0b47-3165-47fb-bd71-6a15d936ed56" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_PrepaidExpenseAndOtherAssetsCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_AssetsCurrent_0dbaba35-7480-4fdc-8aff-03b833043cdf" xlink:to="loc_us-gaap_PrepaidExpenseAndOtherAssetsCurrent_4dde0b47-3165-47fb-bd71-6a15d936ed56" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_StockholdersEquity_062c7c09-1cb0-42d5-a7df-4ba85d1d88d5" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_StockholdersEquity"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CommonStockValue_7f1c6162-92b1-4e52-9238-f0885e433550" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_CommonStockValue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_062c7c09-1cb0-42d5-a7df-4ba85d1d88d5" xlink:to="loc_us-gaap_CommonStockValue_7f1c6162-92b1-4e52-9238-f0885e433550" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AdditionalPaidInCapitalCommonStock_d2c9f1c6-452a-4354-b2f9-9f659e989b01" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_AdditionalPaidInCapitalCommonStock"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_062c7c09-1cb0-42d5-a7df-4ba85d1d88d5" xlink:to="loc_us-gaap_AdditionalPaidInCapitalCommonStock_d2c9f1c6-452a-4354-b2f9-9f659e989b01" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RetainedEarningsAccumulatedDeficit_180ef3e9-0541-467a-9727-4614ca9b22cc" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_RetainedEarningsAccumulatedDeficit"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_062c7c09-1cb0-42d5-a7df-4ba85d1d88d5" xlink:to="loc_us-gaap_RetainedEarningsAccumulatedDeficit_180ef3e9-0541-467a-9727-4614ca9b22cc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_92b5c8d5-257d-45d1-bf31-5a3914c819ed" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_StockholdersEquity_062c7c09-1cb0-42d5-a7df-4ba85d1d88d5" xlink:to="loc_us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax_92b5c8d5-257d-45d1-bf31-5a3914c819ed" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.haemonetics.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETSParentheticals" xlink:type="simple" xlink:href="hae-20200926.xsd#CONDENSEDCONSOLIDATEDBALANCESHEETSParentheticals"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/CONDENSEDCONSOLIDATEDBALANCESHEETSParentheticals" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFSTOCKHOLDERSEQUITY" xlink:type="simple" xlink:href="hae-20200926.xsd#CONDENSEDCONSOLIDATEDSTATEMENTSOFSTOCKHOLDERSEQUITY"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFSTOCKHOLDERSEQUITY" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS" xlink:type="simple" xlink:href="hae-20200926.xsd#CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/CONDENSEDCONSOLIDATEDSTATEMENTSOFCASHFLOWS" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetIncomeLoss_715f77c0-85e0-4abd-8ab6-8cd53da57d47" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_NetIncomeLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_NetIncomeLoss_715f77c0-85e0-4abd-8ab6-8cd53da57d47" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DepreciationAndAmortization_0dc36955-572e-4c2c-b61d-674fae42c432" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_DepreciationAndAmortization"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_DepreciationAndAmortization_0dc36955-572e-4c2c-b61d-674fae42c432" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_AssetImpairmentCharges_8996fc9b-9ffb-4cc2-a218-c1bdcbbbec94" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_AssetImpairmentCharges"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_AssetImpairmentCharges_8996fc9b-9ffb-4cc2-a218-c1bdcbbbec94" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ShareBasedCompensation_ddf10bff-789f-444d-a633-da77f59a5de3" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_ShareBasedCompensation"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_ShareBasedCompensation_ddf10bff-789f-444d-a633-da77f59a5de3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_DeferredOtherTaxExpenseBenefit_365792bd-2078-416a-a061-2261d98d4005" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_DeferredOtherTaxExpenseBenefit"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_DeferredOtherTaxExpenseBenefit_365792bd-2078-416a-a061-2261d98d4005" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProvisionForLoanLeaseAndOtherLosses_7ade2161-e1dc-469f-ae27-d9c3e428cdf0" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_ProvisionForLoanLeaseAndOtherLosses"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_ProvisionForLoanLeaseAndOtherLosses_7ade2161-e1dc-469f-ae27-d9c3e428cdf0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherOperatingActivitiesCashFlowStatement_7beac781-30c7-4ca5-80b4-6faa67455592" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OtherOperatingActivitiesCashFlowStatement"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_OtherOperatingActivitiesCashFlowStatement_7beac781-30c7-4ca5-80b4-6faa67455592" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_8d581860-a89b-4e9b-8385-aa75ae5f0aea" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_IncreaseDecreaseInAccountsReceivable"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsReceivable_8d581860-a89b-4e9b-8385-aa75ae5f0aea" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInInventories_98e34cb8-fd92-4a0f-995e-52c092993f29" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_IncreaseDecreaseInInventories"/>
    <link:calculationArc order="9" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_IncreaseDecreaseInInventories_98e34cb8-fd92-4a0f-995e-52c092993f29" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInPrepaidTaxes_17ef6937-b6ab-4452-8d27-a1d93a5b21d5" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_IncreaseDecreaseInPrepaidTaxes"/>
    <link:calculationArc order="10" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_IncreaseDecreaseInPrepaidTaxes_17ef6937-b6ab-4452-8d27-a1d93a5b21d5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInOtherOperatingCapitalNet_ac148789-1d8e-4fcb-b35a-9aea99542360" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_IncreaseDecreaseInOtherOperatingCapitalNet"/>
    <link:calculationArc order="11" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_IncreaseDecreaseInOtherOperatingCapitalNet_ac148789-1d8e-4fcb-b35a-9aea99542360" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities_80d7bedc-446b-410b-84f8-7b5cd66391c5" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities"/>
    <link:calculationArc order="12" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_c68b2964-5172-4aae-936b-41bfefb4fd38" xlink:to="loc_us-gaap_IncreaseDecreaseInAccountsPayableAndAccruedLiabilities_80d7bedc-446b-410b-84f8-7b5cd66391c5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_57d8afee-9b45-4620-8328-00038a2ffa02" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_265ac1f3-d2f5-4e01-80d4-0a9abdcedc1f" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_PaymentsToAcquirePropertyPlantAndEquipment"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_57d8afee-9b45-4620-8328-00038a2ffa02" xlink:to="loc_us-gaap_PaymentsToAcquirePropertyPlantAndEquipment_265ac1f3-d2f5-4e01-80d4-0a9abdcedc1f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromSaleOfPropertyPlantAndEquipment_172c48d6-5bd9-4f76-bcf2-78d8cf0a6a90" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_ProceedsFromSaleOfPropertyPlantAndEquipment"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_57d8afee-9b45-4620-8328-00038a2ffa02" xlink:to="loc_us-gaap_ProceedsFromSaleOfPropertyPlantAndEquipment_172c48d6-5bd9-4f76-bcf2-78d8cf0a6a90" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromDivestitureOfBusinesses_dd0db722-dcda-4273-836b-210e47609337" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_ProceedsFromDivestitureOfBusinesses"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_57d8afee-9b45-4620-8328-00038a2ffa02" xlink:to="loc_us-gaap_ProceedsFromDivestitureOfBusinesses_dd0db722-dcda-4273-836b-210e47609337" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsToAcquireBusinessesNetOfCashAcquired_1e29b0c9-705b-4150-b3a8-77920cb6cb5a" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_PaymentsToAcquireBusinessesNetOfCashAcquired"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_57d8afee-9b45-4620-8328-00038a2ffa02" xlink:to="loc_us-gaap_PaymentsToAcquireBusinessesNetOfCashAcquired_1e29b0c9-705b-4150-b3a8-77920cb6cb5a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_e7cec9b3-3878-4d03-bd47-8a4e94bd9208" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromRepaymentsOfShortTermDebt_a37ae813-4136-4e90-910e-5ea2fd8c2834" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_ProceedsFromRepaymentsOfShortTermDebt"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_e7cec9b3-3878-4d03-bd47-8a4e94bd9208" xlink:to="loc_us-gaap_ProceedsFromRepaymentsOfShortTermDebt_a37ae813-4136-4e90-910e-5ea2fd8c2834" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RepaymentsOfLongTermDebt_3438f3b1-c882-4f0d-abb6-1132c84a4605" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_RepaymentsOfLongTermDebt"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_e7cec9b3-3878-4d03-bd47-8a4e94bd9208" xlink:to="loc_us-gaap_RepaymentsOfLongTermDebt_3438f3b1-c882-4f0d-abb6-1132c84a4605" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_EmployeeStockOwnershipPlanESOPCashContributionsToESOP_41c37fb3-6f50-4d24-8d32-f474b8917c3c" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_EmployeeStockOwnershipPlanESOPCashContributionsToESOP"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_e7cec9b3-3878-4d03-bd47-8a4e94bd9208" xlink:to="loc_us-gaap_EmployeeStockOwnershipPlanESOPCashContributionsToESOP_41c37fb3-6f50-4d24-8d32-f474b8917c3c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromStockOptionsExercised_e7c7efb0-3b9c-4959-9415-283d410c93b7" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_ProceedsFromStockOptionsExercised"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_e7cec9b3-3878-4d03-bd47-8a4e94bd9208" xlink:to="loc_us-gaap_ProceedsFromStockOptionsExercised_e7c7efb0-3b9c-4959-9415-283d410c93b7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ProceedsFromPaymentsForOtherFinancingActivities_68da3d84-9695-4a01-a5d1-b3fe877fd220" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_ProceedsFromPaymentsForOtherFinancingActivities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_e7cec9b3-3878-4d03-bd47-8a4e94bd9208" xlink:to="loc_us-gaap_ProceedsFromPaymentsForOtherFinancingActivities_68da3d84-9695-4a01-a5d1-b3fe877fd220" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_PaymentsForRepurchaseOfEquity_2b3bf258-3759-4751-8d7f-5c1143403172" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_PaymentsForRepurchaseOfEquity"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_e7cec9b3-3878-4d03-bd47-8a4e94bd9208" xlink:to="loc_us-gaap_PaymentsForRepurchaseOfEquity_2b3bf258-3759-4751-8d7f-5c1143403172" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_6433d221-94d0-45f3-9720-c1d1239483ee" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_97b5bf5a-3551-4834-85b0-dd509d496847" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_6433d221-94d0-45f3-9720-c1d1239483ee" xlink:to="loc_us-gaap_NetCashProvidedByUsedInOperatingActivities_97b5bf5a-3551-4834-85b0-dd509d496847" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_75090590-b1fa-415c-b87a-b1c466075b4d" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_6433d221-94d0-45f3-9720-c1d1239483ee" xlink:to="loc_us-gaap_NetCashProvidedByUsedInInvestingActivities_75090590-b1fa-415c-b87a-b1c466075b4d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_77cf4389-e22e-4572-8d7f-1d34ed0d40b1" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_6433d221-94d0-45f3-9720-c1d1239483ee" xlink:to="loc_us-gaap_NetCashProvidedByUsedInFinancingActivities_77cf4389-e22e-4572-8d7f-1d34ed0d40b1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_a1730866-05fb-4622-8fdd-e777efca9982" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect_6433d221-94d0-45f3-9720-c1d1239483ee" xlink:to="loc_us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents_a1730866-05fb-4622-8fdd-e777efca9982" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.haemonetics.com/role/BASISOFPRESENTATION" xlink:type="simple" xlink:href="hae-20200926.xsd#BASISOFPRESENTATION"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/BASISOFPRESENTATION" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/RECENTACCOUNTINGPRONOUNCEMENTS" xlink:type="simple" xlink:href="hae-20200926.xsd#RECENTACCOUNTINGPRONOUNCEMENTS"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/RECENTACCOUNTINGPRONOUNCEMENTS" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/RESTRUCTURING" xlink:type="simple" xlink:href="hae-20200926.xsd#RESTRUCTURING"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/RESTRUCTURING" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/RESTRUCTURINGTables" xlink:type="simple" xlink:href="hae-20200926.xsd#RESTRUCTURINGTables"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/RESTRUCTURINGTables" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/RESTRUCTURINGNarrativeDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#RESTRUCTURINGNarrativeDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/RESTRUCTURINGNarrativeDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/RESTRUCTURINGScheduleofRestructuringReservebyTypeofCostDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#RESTRUCTURINGScheduleofRestructuringReservebyTypeofCostDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/RESTRUCTURINGScheduleofRestructuringReservebyTypeofCostDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/RESTRUCTURINGScheduleofRestructuringandRelatedCostsDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#RESTRUCTURINGScheduleofRestructuringandRelatedCostsDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/RESTRUCTURINGScheduleofRestructuringandRelatedCostsDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_hae_RestructuringandRestructuringRelatedCosts_da3d6c10-0eb4-4224-b595-ec912b04660d" xlink:href="hae-20200926.xsd#hae_RestructuringandRestructuringRelatedCosts"/>
    <link:loc xlink:type="locator" xlink:label="loc_hae_RestructuringRelatedCosts_cd3bdc9e-4002-4039-ba4f-482b455361ad" xlink:href="hae-20200926.xsd#hae_RestructuringRelatedCosts"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_hae_RestructuringandRestructuringRelatedCosts_da3d6c10-0eb4-4224-b595-ec912b04660d" xlink:to="loc_hae_RestructuringRelatedCosts_cd3bdc9e-4002-4039-ba4f-482b455361ad" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_RestructuringCharges_c9975835-414c-4366-a7bb-fe9872edfec0" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_RestructuringCharges"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_hae_RestructuringandRestructuringRelatedCosts_da3d6c10-0eb4-4224-b595-ec912b04660d" xlink:to="loc_us-gaap_RestructuringCharges_c9975835-414c-4366-a7bb-fe9872edfec0" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.haemonetics.com/role/ACQUISITION" xlink:type="simple" xlink:href="hae-20200926.xsd#ACQUISITION"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/ACQUISITION" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/ACQUISITIONTables" xlink:type="simple" xlink:href="hae-20200926.xsd#ACQUISITIONTables"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/ACQUISITIONTables" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/ACQUISITIONDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#ACQUISITIONDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/ACQUISITIONDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedLiabilities_9af11cff-fce9-43b2-8209-099c2a034cc7" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationContingentConsiderationLiabilityNoncurrent_4db237bb-1c41-4c88-8d68-d129f46390cc" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_BusinessCombinationContingentConsiderationLiabilityNoncurrent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedLiabilities_9af11cff-fce9-43b2-8209-099c2a034cc7" xlink:to="loc_us-gaap_BusinessCombinationContingentConsiderationLiabilityNoncurrent_4db237bb-1c41-4c88-8d68-d129f46390cc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedCurrentLiabilitiesOther_409502e2-3a04-4f58-af7e-31c982bc358d" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedCurrentLiabilitiesOther"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedLiabilities_9af11cff-fce9-43b2-8209-099c2a034cc7" xlink:to="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedCurrentLiabilitiesOther_409502e2-3a04-4f58-af7e-31c982bc358d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedDeferredTaxLiabilities_2215d1ff-138a-4da8-9d2b-652a3d374868" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedDeferredTaxLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedLiabilities_9af11cff-fce9-43b2-8209-099c2a034cc7" xlink:to="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedDeferredTaxLiabilities_2215d1ff-138a-4da8-9d2b-652a3d374868" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationContingentConsiderationLiabilityCurrent_cedace48-1a54-4e73-b38b-5d0f81d3d63f" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_BusinessCombinationContingentConsiderationLiabilityCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedLiabilities_9af11cff-fce9-43b2-8209-099c2a034cc7" xlink:to="loc_us-gaap_BusinessCombinationContingentConsiderationLiabilityCurrent_cedace48-1a54-4e73-b38b-5d0f81d3d63f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssets_dfde890d-a482-4139-b073-950f5fc259e1" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedCurrentAssetsOther_f67903df-1b93-4f68-addd-106f172c6020" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedCurrentAssetsOther"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssets_dfde890d-a482-4139-b073-950f5fc259e1" xlink:to="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedCurrentAssetsOther_f67903df-1b93-4f68-addd-106f172c6020" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedPropertyPlantAndEquipment_dbba100a-ac5a-4610-93cf-2c2018b267b6" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedPropertyPlantAndEquipment"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssets_dfde890d-a482-4139-b073-950f5fc259e1" xlink:to="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedPropertyPlantAndEquipment_dbba100a-ac5a-4610-93cf-2c2018b267b6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_Goodwill_d47f37b2-0b8f-4f7a-ad44-42a6299a89e9" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_Goodwill"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssets_dfde890d-a482-4139-b073-950f5fc259e1" xlink:to="loc_us-gaap_Goodwill_d47f37b2-0b8f-4f7a-ad44-42a6299a89e9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedInventory_61eb2dc7-99f1-423f-a61b-35faf76e49bc" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedInventory"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssets_dfde890d-a482-4139-b073-950f5fc259e1" xlink:to="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedInventory_61eb2dc7-99f1-423f-a61b-35faf76e49bc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedIntangibleAssetsOtherThanGoodwill_02718519-edd5-4e1b-b0df-f35fc39a2f5e" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedIntangibleAssetsOtherThanGoodwill"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedAssets_dfde890d-a482-4139-b073-950f5fc259e1" xlink:to="loc_us-gaap_BusinessCombinationRecognizedIdentifiableAssetsAcquiredAndLiabilitiesAssumedIntangibleAssetsOtherThanGoodwill_02718519-edd5-4e1b-b0df-f35fc39a2f5e" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.haemonetics.com/role/DIVESTITURE" xlink:type="simple" xlink:href="hae-20200926.xsd#DIVESTITURE"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/DIVESTITURE" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/DIVESTITUREDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#DIVESTITUREDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/DIVESTITUREDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/INCOMETAXES" xlink:type="simple" xlink:href="hae-20200926.xsd#INCOMETAXES"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/INCOMETAXES" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/INCOMETAXESDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#INCOMETAXESDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/INCOMETAXESDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/EARNINGSPERSHAREEPS" xlink:type="simple" xlink:href="hae-20200926.xsd#EARNINGSPERSHAREEPS"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/EARNINGSPERSHAREEPS" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/EARNINGSPERSHAREEPSTables" xlink:type="simple" xlink:href="hae-20200926.xsd#EARNINGSPERSHAREEPSTables"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/EARNINGSPERSHAREEPSTables" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/EARNINGSPERSHAREEPSScheduleofEarningsPerShareReconciliationDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#EARNINGSPERSHAREEPSScheduleofEarningsPerShareReconciliationDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/EARNINGSPERSHAREEPSScheduleofEarningsPerShareReconciliationDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_c7e67164-38ec-4c22-a02d-c40b449c07c2" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment_b94b09a0-036d-4adf-9a36-ef580716d853" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_c7e67164-38ec-4c22-a02d-c40b449c07c2" xlink:to="loc_us-gaap_WeightedAverageNumberDilutedSharesOutstandingAdjustment_b94b09a0-036d-4adf-9a36-ef580716d853" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_4f9dd6d3-9248-4557-af58-9349805fe4c9" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_WeightedAverageNumberOfSharesOutstandingBasic"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding_c7e67164-38ec-4c22-a02d-c40b449c07c2" xlink:to="loc_us-gaap_WeightedAverageNumberOfSharesOutstandingBasic_4f9dd6d3-9248-4557-af58-9349805fe4c9" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.haemonetics.com/role/REVENUE" xlink:type="simple" xlink:href="hae-20200926.xsd#REVENUE"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/REVENUE" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/REVENUEDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#REVENUEDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/REVENUEDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/REVENUEDetails_1" xlink:type="simple" xlink:href="hae-20200926.xsd#REVENUEDetails_1"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/REVENUEDetails_1" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/INVENTORIES" xlink:type="simple" xlink:href="hae-20200926.xsd#INVENTORIES"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/INVENTORIES" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/INVENTORIESTables" xlink:type="simple" xlink:href="hae-20200926.xsd#INVENTORIESTables"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/INVENTORIESTables" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/INVENTORIESScheduleofInventoriesDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#INVENTORIESScheduleofInventoriesDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/INVENTORIESScheduleofInventoriesDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryNet_f802ba33-15bd-410d-b3ec-1a821c2fea78" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_InventoryNet"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryRawMaterialsNetOfReserves_ae74194f-5f3a-4511-b6a7-0dd1dcd9238c" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_InventoryRawMaterialsNetOfReserves"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_f802ba33-15bd-410d-b3ec-1a821c2fea78" xlink:to="loc_us-gaap_InventoryRawMaterialsNetOfReserves_ae74194f-5f3a-4511-b6a7-0dd1dcd9238c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryWorkInProcessNetOfReserves_f831c14a-7fe4-4c53-950b-0fb6cc62af92" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_InventoryWorkInProcessNetOfReserves"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_f802ba33-15bd-410d-b3ec-1a821c2fea78" xlink:to="loc_us-gaap_InventoryWorkInProcessNetOfReserves_f831c14a-7fe4-4c53-950b-0fb6cc62af92" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_InventoryFinishedGoodsNetOfReserves_b3c5ad49-bd5c-4652-a5b6-5b6140225522" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_InventoryFinishedGoodsNetOfReserves"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_InventoryNet_f802ba33-15bd-410d-b3ec-1a821c2fea78" xlink:to="loc_us-gaap_InventoryFinishedGoodsNetOfReserves_b3c5ad49-bd5c-4652-a5b6-5b6140225522" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.haemonetics.com/role/LEASES" xlink:type="simple" xlink:href="hae-20200926.xsd#LEASES"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/LEASES" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/LEASESDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#LEASESDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/LEASESDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/NOTESPAYABLEANDLONGTERMDEBT" xlink:type="simple" xlink:href="hae-20200926.xsd#NOTESPAYABLEANDLONGTERMDEBT"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/NOTESPAYABLEANDLONGTERMDEBT" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/NOTESPAYABLEANDLONGTERMDEBTDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#NOTESPAYABLEANDLONGTERMDEBTDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/NOTESPAYABLEANDLONGTERMDEBTDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASURES" xlink:type="simple" xlink:href="hae-20200926.xsd#FINANCIALINSTRUMENTSANDFAIRVALUEMEASURES"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASURES" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESTables" xlink:type="simple" xlink:href="hae-20200926.xsd#FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESTables"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESTables" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASUREMENTSAllowanceforcreditlossesDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#FINANCIALINSTRUMENTSANDFAIRVALUEMEASUREMENTSAllowanceforcreditlossesDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASUREMENTSAllowanceforcreditlossesDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESScheduleofEffectofDerivativeInstrumentsDesignatedasCashFlowHedgesandThoseNotDesignatedasHedgingInstrumentsDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESScheduleofEffectofDerivativeInstrumentsDesignatedasCashFlowHedgesandThoseNotDesignatedasHedgingInstrumentsDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESScheduleofEffectofDerivativeInstrumentsDesignatedasCashFlowHedgesandThoseNotDesignatedasHedgingInstrumentsDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESSchedulesofDerivativesDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESSchedulesofDerivativesDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESSchedulesofDerivativesDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESNarrativeDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESNarrativeDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/FINANCIALINSTRUMENTSANDFAIRVALUEMEASURESNarrativeDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/COMMITMENTSANDCONTINGENCIES" xlink:type="simple" xlink:href="hae-20200926.xsd#COMMITMENTSANDCONTINGENCIES"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/COMMITMENTSANDCONTINGENCIES" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/SEGMENTANDENTERPRISEWIDEINFORMATION" xlink:type="simple" xlink:href="hae-20200926.xsd#SEGMENTANDENTERPRISEWIDEINFORMATION"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/SEGMENTANDENTERPRISEWIDEINFORMATION" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/SEGMENTANDENTERPRISEWIDEINFORMATIONTables" xlink:type="simple" xlink:href="hae-20200926.xsd#SEGMENTANDENTERPRISEWIDEINFORMATIONTables"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/SEGMENTANDENTERPRISEWIDEINFORMATIONTables" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/SEGMENTANDENTERPRISEWIDEINFORMATIONDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#SEGMENTANDENTERPRISEWIDEINFORMATIONDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/SEGMENTANDENTERPRISEWIDEINFORMATIONDetails" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/ACCUMULATEDOTHERCOMPREHENSIVELOSS" xlink:type="simple" xlink:href="hae-20200926.xsd#ACCUMULATEDOTHERCOMPREHENSIVELOSS"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/ACCUMULATEDOTHERCOMPREHENSIVELOSS" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/ACCUMULATEDOTHERCOMPREHENSIVELOSSTables" xlink:type="simple" xlink:href="hae-20200926.xsd#ACCUMULATEDOTHERCOMPREHENSIVELOSSTables"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/ACCUMULATEDOTHERCOMPREHENSIVELOSSTables" xlink:type="extended"/>
  <link:roleRef roleURI="http://www.haemonetics.com/role/ACCUMULATEDOTHERCOMPREHENSIVELOSSDetails" xlink:type="simple" xlink:href="hae-20200926.xsd#ACCUMULATEDOTHERCOMPREHENSIVELOSSDetails"/>
  <link:calculationLink xlink:role="http://www.haemonetics.com/role/ACCUMULATEDOTHERCOMPREHENSIVELOSSDetails" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTax_7eec02d0-de22-4dcd-bd23-5c8ff8cb57f8" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_OtherComprehensiveIncomeLossBeforeReclassificationsNetOfTax_42314563-611e-47f9-ae43-89d14244779f" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_OtherComprehensiveIncomeLossBeforeReclassificationsNetOfTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTax_7eec02d0-de22-4dcd-bd23-5c8ff8cb57f8" xlink:to="loc_us-gaap_OtherComprehensiveIncomeLossBeforeReclassificationsNetOfTax_42314563-611e-47f9-ae43-89d14244779f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_us-gaap_ReclassificationFromAccumulatedOtherComprehensiveIncomeCurrentPeriodNetOfTax_29a9e5d1-f619-427c-a798-0fe856fb6b10" xlink:href="http://xbrl.fasb.org/us-gaap/2019/elts/us-gaap-2019-01-31.xsd#us-gaap_ReclassificationFromAccumulatedOtherComprehensiveIncomeCurrentPeriodNetOfTax"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_us-gaap_OtherComprehensiveIncomeLossNetOfTax_7eec02d0-de22-4dcd-bd23-5c8ff8cb57f8" xlink:to="loc_us-gaap_ReclassificationFromAccumulatedOtherComprehensiveIncomeCurrentPeriodNetOfTax_29a9e5d1-f619-427c-a798-0fe856fb6b10" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
